Dim WSHShell, objFSO, sClusterNodeName
Dim MyShortcut, AP, UP
Dim ToDelete
ToDelete = "VBECS Test.exe.lnk"
Dim ToCreate
ToCreate = "Test VBECS.exe.lnk"

QuitWithErrorIfNotCSript()
if WScript.Arguments.Count < 1 then 
	WScript.Echo "Wrong number of command line arguments. Please provide cluster node name"
	WScript.Quit(1)
end if

WScript.Quit( DoProcess() )


private function DoProcess()
    On Error Resume Next
	Set WSHShell = WScript.CreateObject("WScript.Shell")
	set objFSO = CreateObject("Scripting.FileSystemObject")    
    sClusterNodeName = WScript.Arguments(0)
    sClusterNodeName = "\\" & sClusterNodeName & "\C$\"
	AP = sClusterNodeName & Right(WSHShell.ExpandEnvironmentStrings("%AllUsersProfile%"),Len(WSHShell.ExpandEnvironmentStrings("%AllUsersProfile%"))-2)
	UP = sClusterNodeName & Right(WSHShell.ExpandEnvironmentStrings("%UserProfile%"),Len(WSHShell.ExpandEnvironmentStrings("%UserProfile%"))-2)
	
	' Delete old one
	IF objFSO.FileExists(AP & "\Desktop\" & ToDelete) THEN
		objFSO.DeleteFile(AP & "\Desktop\" & ToDelete)
	End If
	IF objFSO.FileExists(UP & "\Desktop\" & ToDelete) THEN
		objFSO.DeleteFile(UP & "\Desktop\" & ToDelete)
	End If
	
	' Create new one
	IF not objFSO.FileExists(AP & "\Desktop\" & ToCreate) THEN
		' Create a shortcut object on the desktop
		Set MyShortcut = WSHShell.CreateShortcut(AP & "\Desktop\" & ToCreate)

		' Set shortcut object properties and save it
		MyShortcut.TargetPath = "C:\Program Files\VistA\VBECS Test\VBECS.exe"
		MyShortcut.WorkingDirectory = "C:\Program Files\VistA\VBECS Test"
		MyShortcut.WindowStyle = 4
		MyShortcut.IconLocation = "C:\Program Files\VistA\VBECS Test\VBECS.exe"
		MyShortcut.Save
	Else
		WScript.Echo "VBECS icon for the test environment was already updated. There is nothing to do. Exit."
	End if
	
    Set WSHShell = Nothing
	Set objFSO = Nothing
end function

private sub QuitWithErrorIfNotCSript()
	If IsCscript() Then exit sub
	WScript.Echo "Please run this script from a command line using cscript."
	WScript.Quit(1)	
end sub

private function IsCscript()
  IsCscript = False

  If InStrRev(LCase(WScript.FullName), "cscript.exe", -1) Then
    IsCscript = True
  End If
end function    